Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Ubuntu Local Security Checks >> USN274-1 : mysql-dfsg vulnerability


Vulnerability Assessment Details

USN274-1 : mysql-dfsg vulnerability

Vulnerability Assessment Summary
mysql-dfsg vulnerability

Detailed Explanation for this Vulnerability Assessment

Summary :

These remote packages are missing security patches :
- libmysqlclient-dev
- libmysqlclient12
- libmysqlclient12-dev
- mysql-client
- mysql-common
- mysql-server


Description :

A logging bypass was discovered in the MySQL query parser. A local
attacker could exploit this by inserting NUL characters into query
strings (even into comments), which would cause the query to be logged
incompletely.

This only affects you if you enabled the 'log' parameter in the MySQL
configuration.

Solution :

Upgrade to :
- libmysqlclient-dev-4.0.20-2ubuntu1.7 (Ubuntu 4.10)
- libmysqlclient12-4.0.24-10ubuntu2.1 (Ubuntu 5.10)
- libmysqlclient12-dev-4.0.24-10ubuntu2.1 (Ubuntu 5.10)
- mysql-client-4.0.24-10ubuntu2.1 (Ubuntu 5.10)
- mysql-common-4.0.24-10ubuntu2.1 (Ubuntu 5.10)
- mysql-server-4.0.24-10ubuntu2.1 (Ubuntu 5.10)



Network Security Threat Level: High


Networks Security ID:

Vulnerability Assessment Copyright: Ubuntu Security Notice (C) 2005 Canonical, Inc. / NASL script (C) 2005 Michel Arboi

Cables, Connectors

Apple iMac 27" Retina 32GB RAM 4GB GFX 1TB HD 4.0Ghz A1419 27" Desktop
$1380.0
Apple iMac 27HP EliteDesk 800 G2 Tower PC Core i7-6700 3.4GHz 8GB 1TB HDD DVD W7P DP4K19UT OB
$699.99
HP EliteDesk 800 G2 Tower PC Core i7-6700 3.4GHz 8GB 1TB HDD DVD W7P DP4K19UT OB pictureDELL T7610 WORKSTATION W8 TWO E5-2630LV2 2.40GHZ 256GB 2 X 1TB SATA QUADRO K5000
$4249.0
DELL T7610 WORKSTATION W8 TWO E5-2630LV2 2.40GHZ 256GB 2 X 1TB SATA QUADRO K5000 pictureAll-in-One HP Pavilion 22-3109 AMD A6-6310 1.8GHz 4GB 1TB 21.5" Win 10
$341.99
All-in-One HP Pavilion  22-3109 AMD A6-6310 1.8GHz 4GB 1TB 21.5


Discussions

No Discussions have been posted on this vulnerability.